Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223801 - CVE-2007-1466 integer overflow
Summary: CVE-2007-1466 integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 15:43 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0033
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 10:39:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0033 normal SHIPPED_LIVE Important: openoffice.org security update 2007-03-22 10:39:45 UTC

Description Mark J. Cox 2007-01-22 15:43:58 UTC
The version of libwpd in openoffice.org in RHEL4, RHEL3 is affected by the WP6
issue only.

+++ This bug was initially created as a clone of Bug #222808 +++

iDefense discovered a TablesGroup Heap Overflow Vulnerability in libwpd.  We're
waiting on the full details but it's likely that an attacker could create a
malicious WordPerfect file that could execute arbitrary code if opened by a
victim in an application using libwpd such as OpenOffice.

No date on embargo

-- Additional comment from mjc@redhat.com on 2007-01-16 04:56 EST --
Created an attachment (id=145665)
EMBARGOED proposed patch against 0.8.8

Comment 1 Caolan McNamara 2007-01-22 15:51:15 UTC
As well as the libwpd in the old 1.1.X for RHEL-4, there's also a libwpd/RHEL-4
dir, did we ship this standalone libwpd for RHEL-4 as well ?

Comment 9 Mark J. Cox 2007-02-21 10:40:16 UTC
embargo was moved to March 6th

Comment 10 Mark J. Cox 2007-03-16 14:14:21 UTC
removing embargo, now public http://libwpd.sourceforge.net/news.html

Comment 11 Lubomir Kundrak 2007-03-20 19:06:02 UTC
WP6GeneralTextPacket::_readContents() think has another CVE number: CVE-2007-1466

Comment 12 Mark J. Cox 2007-03-20 21:05:39 UTC
Yes, so our open office packages in RHEL3 and RHEL4 only have the flaw in 
WP6GeneralTextPacket::_readContents() (CVE-2007-1466) and not the other flaws in
CVE-2007-0002.  Therefore changing the CVE name to CVE-2007-1466 and removing
CVE-2007-0002 which doesn't apply to those platforms.

Comment 13 Red Hat Bugzilla 2007-03-22 10:39:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0033.html



Note You need to log in before you can comment on or make changes to this bug.